package cz.upol.pja.lecture06.clients;

import java.util.List;
import javax.enterprise.context.RequestScoped;
import javax.inject.Named;
import javax.ws.rs.client.Client;
import javax.ws.rs.client.ClientBuilder;
import javax.ws.rs.core.GenericType;
import javax.ws.rs.core.Response;

@RequestScoped
@Named("restClient")
public class RestClientCtl {
    
    private String input = "world";
    private String output;
    
    public void sayHello() {
        Client client = ClientBuilder.newClient();
        Response response = client.target("http://localhost:8080/lecture06/rest/demo/hello")
                .path(input)
                .request()
                .get();
        output = response.readEntity(String.class);
    }
    
    public List<User> getList() {
        Client client = ClientBuilder.newClient();
        Response response = client.target("http://localhost:8080/lecture06/rest/user/list")
                .request()
                .get();
        
        List<User> result = response.readEntity(new GenericType<List<User>> () {});
        return result;
    }

    public String getInput() {
        return input;
    }

    public void setInput(String input) {
        this.input = input;
    }

    public String getOutput() {
        return output;
    }

    public void setOutput(String output) {
        this.output = output;
    }
    
    
}
    
   